org.jbpm.bpmn2.xml

## Class IntermediateCatchEventHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.IntermediateCatchEventHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler

      public class IntermediateCatchEventHandler
      extends AbstractNodeHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LINK_NAME`

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntermediateCatchEventHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode(Attributes attrs)`
    `Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `Class` | `generateNodeFor()`
    `protected void` | `handleLinkNode(Element element, Node node, Node xmlLinkNode, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `handleMessageNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `handleSignalNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `handleStateNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `handleTimerNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `readDataOutputAssociation(Node xmlNode, EventNode eventNode)`
    `void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, getSignalExpression, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Field Detail

    - #### LINK_NAME

          public static final String LINK_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IntermediateCatchEventHandler

          public IntermediateCatchEventHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

    - #### end

          public Object end(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### handleLinkNode

          protected void handleLinkNode(Element element,
                                        Node node,
                                        Node xmlLinkNode,
                                        org.drools.core.xml.ExtensibleXmlParser parser)

    - #### handleSignalNode

          protected void handleSignalNode(Node node,
                                          Element element,
                                          String uri,
                                          String localName,
                                          org.drools.core.xml.ExtensibleXmlParser parser)
                                   throws SAXException

      Throws:
        `SAXException`

    - #### handleMessageNode

          protected void handleMessageNode(Node node,
                                           Element element,
                                           String uri,
                                           String localName,
                                           org.drools.core.xml.ExtensibleXmlParser parser)
                                    throws SAXException

      Throws:
        `SAXException`

    - #### handleTimerNode

          protected void handleTimerNode(Node node,
                                         Element element,
                                         String uri,
                                         String localName,
                                         org.drools.core.xml.ExtensibleXmlParser parser)
                                  throws SAXException

      Throws:
        `SAXException`

    - #### handleStateNode

          protected void handleStateNode(Node node,
                                         Element element,
                                         String uri,
                                         String localName,
                                         org.drools.core.xml.ExtensibleXmlParser parser)
                                  throws SAXException

      Throws:
        `SAXException`

    - #### readDataOutputAssociation

          protected void readDataOutputAssociation(Node xmlNode,
                                                   EventNode eventNode)

    - #### writeNode

          public void writeNode(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.